Rated 5 out of 5 stars

Version 1.0.1 works W/Netscape 9.0b1 ~:-)

Yes I also have Firefox 3.0.4 & SeaMonkey 2.0a2

This review is for a previous version of the add-on (1.93.2.1).